Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 183628 - Code completion doesn't recognize return carriage in Doxygen comments
Code completion doesn't recognize return carriage in Doxygen comments
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Code Completion
6.x
PC All
: P3 (vote)
: 6.x
Assigned To: Thomas Preisler
issues@cnd
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-07 08:02 UTC by dnikitin
Modified: 2010-04-21 04:30 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
screenshot (77.41 KB, image/png)
2010-04-07 08:02 UTC, dnikitin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description dnikitin 2010-04-07 08:02:47 UTC
Created attachment 96846 [details]
screenshot

if Doxygen comment is multiline string then code completion won't recognize symbol of new line (return carriage)

see attachment
Comment 1 Thomas Preisler 2010-04-20 00:37:57 UTC
Now it prints something like the text below. Note that it combines text into one paragraph unless a double new line.

Prints 'welcome...' then prints arguments

and finally returns 0

Parameter:
  argc

Parameter:
  argv

Returns:
   ...

Author:
   thp
Comment 2 Quality Engineering 2010-04-21 04:30:05 UTC
Integrated into 'main-golden', will be available in build *201004210200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/0c832252f177
User: Thomas Preisler <thp@netbeans.org>
Log: #183628 - Code completion doesn't recognize return carriage in Doxygen comments


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo